org.apache.groovy.json.internal

## Interface ValueMap<K,V>

- All Superinterfaces:
    java.util.Map<K,V>
  All Known Implementing Classes:
    LazyValueMap, ValueMapImpl

      public interface ValueMap<K,V>
      extends java.util.Map<K,V>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(MapItemValue miv)`
    `boolean` | `hydrated()` Has the map been hydrated.
    `java.util.Map.Entry<java.lang.String,Value>[]` | `items()` Give me the items in the map without hydrating the map.
    `int` | `len()` Return size w/o hydrating the map.

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

- - ### Method Detail

    - #### add

          void add(MapItemValue miv)

    - #### len

          int len()

      Return size w/o hydrating the map.

    - #### hydrated

          boolean hydrated()

      Has the map been hydrated.

    - #### items

          java.util.Map.Entry<java.lang.String,Value>[] items()

      Give me the items in the map without hydrating the map. Realize that the array is likely larger than the length so array items can be null.